<?php

namespace App\Services\Customer\Wallet;

use App\Entities\Customer\ClientEntity;
use App\Entities\Customer\Wallet\PointEntity;
use App\Forms\Customer\Wallet\PointForm;
use App\Helpers\Customer\Wallet\PointHelper;
use App\Models\Customer\Wallet\PointModel;

class PointService extends WalletService
{
    protected string $formClass = PointForm::class;
    protected string $helperClass = PointHelper::class;

    public function __construct(PointModel $model)
    {
        parent::__construct($model);
        $this->addClassPaths('Point');
        $this->title = "포인트";
        $this->balanceField = 'point_balance';
    }
    public function getEntityClass(): string
    {
        return PointEntity::class;
    }
    //기본 기능부분
    protected function getEntity_process(mixed $entity): PointEntity
    {
        return $entity;
    }
    //고객 예치금
    protected function getClientBalance(ClientEntity $clientEntity): int
    {
        return $clientEntity->getPointBalance();
    }
    //List 검색용
    //FormFilter 조건절 처리
    //검색어조건절처리
}
